        #game-board {
                grid-template-columns: repeat(6, 100px);
                grid-gap: 10px;
                justify-content: center;
                margin-bottom: 20px;
                margin-top: 35px;
                display: inline-flex;
                flex-direction: row;
                flex-wrap: wrap;
                /* border-style: solid; */
                /* border-color: #4babf8; */
                border-radius: 10px;
                padding: 15px;
                border-right: none;
                border-left: none;
                box-shadow: 0 4px 7px rgba(0, 0, 0, 0.2);
        }

        .card {
            width: 100px;
            height: 100px;
            position: relative;
            perspective: 1000px;
        }

        .card-inner {
            position: absolute;
            width: 100%;
            height: 100%;
            transition: transform 0.6s;
            transform-style: preserve-3d;
            cursor: pointer;
        }

        .card.flipped .card-inner {
            transform: rotateY(180deg);
        }

        .card-front, .card-back {
            position: absolute;
            width: 100%;
            height: 100%;
            backface-visibility: hidden;
            border-radius: 20px;
        }

        .card-front {
            background-image: url('/games/mariomemory/img/front-image.png');
            background-size: cover;
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 2em;
            color: #fff;
        }

        .card-back {transform: rotateY(180deg);border-width: 0px;border-color: rgb(43 43 43);border-style: solid;}

        .card-image {
            background-size: contain; /* Ensure the entire image is visible */
            background-repeat: no-repeat;
            background-position: center;
        }

        #message {
       font-size: 20px;
    color: green;
    margin: 10px;
    font-weight: bold;
    width: 100%;
    text-align: center;
        }

       #restart {
    margin-top: 20px;
    padding: 10px 30px;
    border: 0px solid rgb(211 211 211);
    border-radius: 50px;
    cursor: pointer;
    font-family: arial;
    font-size: 20px;
    font-weight: 400;
    color: rgb(0 0 0);
    background-color: rgba(30, 30, 30, 0.6);
    background-image: linear-gradient(
        to right,
        rgb(75 171 248) 0%,
        #ffffff 50%,
        rgb(75 171 248) 100%
    );
    display: flex;
    align-items: center;
    justify-content: center;
}

#restart:hover {
 color:#000000
}
#restart:active {
background-image: linear-gradient(to right, rgb(255 255 255) 0%, rgb(106 106 106 / 24%) 50%, rgb(255 255 255) 100%);
}
		.divmsgcen{
		
		}